import { Component } from 'react';
export declare class DefaultItemAction extends Component<{
    action?: any;
    enabled?: any;
    item?: any;
    className?: any;
    index?: any;
    itemId?: any;
}> {
    constructor(props: any);
    render(): any;
    resolveActionIcon(): any;
    resolveActionColor(): any;
}
